## gxmms2 0.6.4

=== Makefile ===
# Makefile for gxmms2 and gkrellxmms2

# Installation directory
PREFIX=/usr/local
KRELLPREFIX=/usr

ALLFILES=gkrellxmms2/*.c gkrellxmms2/*.h gkrellxmms2/*.xpm gmedialib/*.c gmedialib/*.h gmedialib/*.xpm gtrackinfo/*.c gtrackinfo/*.h gxmms2src/*.c gxmms2src/*.h gxmms2src/*.xpm sdecode/*.c sdecode/*.h xmms2ctrl/*.c xmms2ctrl/*.h Makefile README README.gxmms2 README.gkrellxmms2 COPYING CHANGELOG

GTK_CFLAGS=`pkg-config gtk+-2.0 --cflags`
GTK_LIB=`pkg-config gtk+-2.0 --libs`
XMMS2_CFLAGS=`pkg-config xmms2-client xmms2-client-glib --cflags`
XMMS2_LIB=`pkg-config xmms2-client xmms2-client-glib --libs`

CFLAGS=-O2 -Wall -fPIC $(GTK_CFLAGS) $(XMMS2_CFLAGS) -I.
LIBS=$(GTK_LIB) $(XMMS2_LIB)

KRELLLFLAGS=-shared

CC=gcc

OBJS = gxmms2.o xmms2ctrl.o trackinfo.o gtrackinfo.o gmlplaylist.o gmedialib.o gmlbrowser.o gmlsearch.o gmlplaylists.o gmladdfiles.o sdecode.o wejpscroller.o statusdisplay.o wejpvolume.o wejpconfig.o eggtrayicon.o

KRELLOBJS = gkrellxmms2.o xmms2ctrl.o trackinfo.o gtrackinfo.o gmedialib.o gmlplaylist.o gmlbrowser.o  gmlsearch.o gmlplaylists.o gmladdfiles.o sdecode.o buttons.o

projname := gxmms2-$(shell awk '/define VERSION_NUMBER/ { print $$3 }' gxmms2src/gxmms2.c )

all: gxmms2 gkrellxmms2

gxmms2: $(OBJS)
	$(CC) $(OBJS) -o gxmms2 $(LIBS)

gkrellxmms2: $(KRELLOBJS)
	$(CC) $(KRELLOBJS) -o gkrellxmms2.so $(KRELLLFLAGS) $(LIBS)

dist:
	-rm -rf $(projname)
	mkdir $(projname)
	cp -rl --parents $(ALLFILES) $(projname)
	tar chfz $(projname).tar.gz $(projname)
	-rm -rf $(projname)

clean:
	rm -f *.o core *.so* *.bak *~ gxmms2

gkrellxmms2.o:   gkrellxmms2/gkrellxmms2.c
	$(CC) $(CFLAGS) -c gkrellxmms2/gkrellxmms2.c
buttons.o:       gkrellxmms2/buttons.c
	$(CC) $(CFLAGS) -c gkrellxmms2/buttons.c
gxmms2.o:        gxmms2src/gxmms2.c
	$(CC) $(CFLAGS) -c gxmms2src/gxmms2.c
trackinfo.o:     gtrackinfo/trackinfo.c
	$(CC) $(CFLAGS) -c gtrackinfo/trackinfo.c
xmms2ctrl.o:     xmms2ctrl/xmms2ctrl.c
	$(CC) $(CFLAGS) -c xmms2ctrl/xmms2ctrl.c
gtrackinfo.o:    gtrackinfo/gtrackinfo.c
	$(CC) $(CFLAGS) -c gtrackinfo/gtrackinfo.c
gmedialib.o:     gmedialib/gmedialib.c
	$(CC) $(CFLAGS) -c gmedialib/gmedialib.c
gmlplaylist.o:   gmedialib/gmlplaylist.c
	$(CC) $(CFLAGS) -c gmedialib/gmlplaylist.c
gmlbrowser.o:    gmedialib/gmlbrowser.c
	$(CC) $(CFLAGS) -c gmedialib/gmlbrowser.c
gmlsearch.o:     gmedialib/gmlsearch.c
	$(CC) $(CFLAGS) -c gmedialib/gmlsearch.c
gmlplaylists.o:  gmedialib/gmlplaylists.c
	$(CC) $(CFLAGS) -c gmedialib/gmlplaylists.c
gmladdfiles.o:   gmedialib/gmladdfiles.c
	$(CC) $(CFLAGS) -c gmedialib/gmladdfiles.c
sdecode.o:       sdecode/sdecode.c
	$(CC) $(CFLAGS) -c sdecode/sdecode.c
wejpscroller.o:  gxmms2src/wejpscroller.c
	$(CC) $(CFLAGS) -c gxmms2src/wejpscroller.c
statusdisplay.o: gxmms2src/statusdisplay.c
	$(CC) $(CFLAGS) -c gxmms2src/statusdisplay.c
wejpvolume.o: gxmms2src/wejpvolume.c
	$(CC) $(CFLAGS) -c gxmms2src/wejpvolume.c
wejpconfig.o:    gxmms2src/wejpconfig.c
	$(CC) $(CFLAGS) -c gxmms2src/wejpconfig.c
eggtrayicon.o:   gxmms2src/eggtrayicon.c
	$(CC) $(CFLAGS) -c gxmms2src/eggtrayicon.c

install:
	install -D gxmms2 $(PREFIX)/bin/gxmms2
	install -D gxmms2src/gxmms2_mini.xpm $(PREFIX)/share/gxmms2/gxmms2_mini.xpm
	install -D README $(PREFIX)/share/gxmms2/README
	install -D README.gxmms2 $(PREFIX)/share/gxmms2/README.gxmms2
	install -D COPYING $(PREFIX)/share/gxmms2/COPYING
	install -D gkrellxmms2.so $(KRELLPREFIX)/lib/gkrellm2/plugins/gkrellxmms2.so
	install -D README $(KRELLPREFIX)/share/gkrellxmms2/README
	install -D README.gkrellxmms2 $(KRELLPREFIX)/share/gkrellxmms2/README.gkrellxmms2
	install -D COPYING $(KRELLPREFIX)/share/gkrellxmms2/COPYING

install_gxmms2:
	install -D gxmms2 $(PREFIX)/bin/gxmms2
	install -D gxmms2src/gxmms2_mini.xpm $(PREFIX)/share/gxmms2/gxmms2_mini.xpm
	install -D README $(PREFIX)/share/gxmms2/README
	install -D README.gxmms2 $(PREFIX)/share/gxmms2/README.gxmms2
	install -D COPYING $(PREFIX)/share/gxmms2/COPYING

install_gkrellxmms2:
	install -D gkrellxmms2.so $(KRELLPREFIX)/lib/gkrellm2/plugins/gkrellxmms2.so
	install -D README $(KRELLPREFIX)/share/gkrellxmms2/README
	install -D README.gkrellxmms2 $(KRELLPREFIX)/share/gkrellxmms2/README.gkrellxmms2
	install -D COPYING $(KRELLPREFIX)/share/gkrellxmms2/COPYING

uninstall:
	-rm $(PREFIX)/bin/gxmms2
	-rm -rf $(PREFIX)/share/gxmms2/
	-rm $(KRELLPREFIX)/lib/gkrellm2/plugins/gkrellxmms2.so
	-rm -rf $(KRELLPREFIX)/share/gkrellxmms2/

uninstall_gxmms2:
	-rm $(PREFIX)/bin/gxmms2
	-rm -rf $(PREFIX)/share/gxmms2/

uninstall_gkrellxmms2:
	-rm $(KRELLPREFIX)/lib/gkrellm2/plugins/gkrellxmms2.so
	-rm -rf $(KRELLPREFIX)/share/gkrellxmms2/

## gxmms2 0.7.0

=== Makefile ===
# Makefile for gxmms2 and gkrellxmms2

# Installation directory
PREFIX=/usr/local
KRELLPREFIX=/usr

ALLFILES=gkrellxmms2/*.c gkrellxmms2/*.h gkrellxmms2/*.xpm gmedialib/*.c gmedialib/*.h gmedialib/*.xpm gtrackinfo/*.c gtrackinfo/*.h gxmms2src/*.c gxmms2src/*.h gxmms2src/*.xpm sdecode/*.c sdecode/*.h xmms2ctrl/*.c xmms2ctrl/*.h Makefile README COPYING CHANGELOG

GTK_CFLAGS=$(shell pkg-config gtk+-2.0 --cflags)
GTK_LIB=$(shell pkg-config gtk+-2.0 --libs)
XMMS2_CFLAGS=$(shell pkg-config xmms2-client xmms2-client-glib --cflags)
XMMS2_LIB=$(shell pkg-config xmms2-client xmms2-client-glib --libs)

CFLAGS=-O2 -Wall -fPIC $(GTK_CFLAGS) $(XMMS2_CFLAGS) -I.
LIBS=$(GTK_LIB) $(XMMS2_LIB)

KRELLLFLAGS=-shared

CC=gcc

OBJS=gxmms2src/gxmms2.o xmms2ctrl/xmms2ctrl.o gtrackinfo/trackinfo.o gtrackinfo/gtrackinfo.o gmedialib/gmlplaylist.o gmedialib/gmedialib.o gmedialib/gmlbrowser.o gmedialib/gmlsearch.o gmedialib/gmlplaylists.o gmedialib/gmladdfiles.o sdecode/sdecode.o gxmms2src/wejpscroller.o gxmms2src/statusdisplay.o gxmms2src/wejpvolume.o gxmms2src/wejpconfig.o gxmms2src/eggtrayicon.o

KRELLOBJS=gkrellxmms2/gkrellxmms2.o xmms2ctrl/xmms2ctrl.o gtrackinfo/trackinfo.o gtrackinfo/gtrackinfo.o gmedialib/gmedialib.o gmedialib/gmlplaylist.o gmedialib/gmlbrowser.o gmedialib/gmlsearch.o gmedialib/gmlplaylists.o gmedialib/gmladdfiles.o sdecode/sdecode.o gkrellxmms2/buttons.o

PROJNAME=gxmms2-$(shell awk '/define VERSION_NUMBER/ { print $$3 }' gxmms2src/gxmms2.c )

all: gxmms2 gkrellxmms2

gxmms2: $(OBJS)
	$(CC) $(OBJS) -o gxmms2 $(LIBS)

gkrellxmms2: $(KRELLOBJS)
	$(CC) $(KRELLOBJS) -o gkrellxmms2.so $(KRELLLFLAGS) $(LIBS)

dist:
	-rm -rf $(PROJNAME)
	mkdir $(PROJNAME)
	cp -rl --parents $(ALLFILES) $(PROJNAME)
	tar chfz $(PROJNAME).tar.gz $(PROJNAME)
	-rm -rf $(PROJNAME)

clean:
	rm -f $(OBJS) $(KRELLOBJS) core *.so* *.bak *~ gxmms2

%.o: %.c
	$(CC) $(CFLAGS) -c -o $@ $<

install: install_gxmms2 install_gkrellxmms2

install_gxmms2:
	install -D gxmms2 $(PREFIX)/bin/gxmms2
	install -D -m 644 gxmms2src/gxmms2_mini.xpm $(PREFIX)/share/gxmms2/gxmms2_mini.xpm
	install -D -m 644 README $(PREFIX)/share/gxmms2/README
	install -D -m 644 COPYING $(PREFIX)/share/gxmms2/COPYING

install_gkrellxmms2:
	install -D gkrellxmms2.so $(KRELLPREFIX)/lib/gkrellm2/plugins/gkrellxmms2.so
	install -D -m 644 README $(KRELLPREFIX)/share/gkrellxmms2/README
	install -D -m 644 COPYING $(KRELLPREFIX)/share/gkrellxmms2/COPYING

uninstall: uninstall_gxmms2 uninstall_gkrellxmms2

uninstall_gxmms2:
	-rm $(PREFIX)/bin/gxmms2
	-rm -rf $(PREFIX)/share/gxmms2/

uninstall_gkrellxmms2:
	-rm $(KRELLPREFIX)/lib/gkrellm2/plugins/gkrellxmms2.so
	-rm -rf $(KRELLPREFIX)/share/gkrellxmms2/

## gxmms2 0.7.0+git20090608

=== debian/changelog ===
gxmms2 (0.7.0+git20090608-3) unstable; urgency=low

  * Add DrNo.patch for compatibility to xmms2 0.7DrNo.
  * Drop topgit and use DEP-3 header for patches.
  * Switch to dpkg-source 3.0 (quilt) format.
  * Bump Standards-Version to 3.8.4 (no changes required).
  * Switch to dh 7.
  * Recommend xmms2.

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 26 Feb 2010 01:55:29 +0100

gxmms2 (0.7.0+git20090608-2) unstable; urgency=low

  * Update debian/watch file.
  * debian/copyright: Correct "Format:" to "Format-Specification:".
  * Add debian/README.source.
  * Bump Standards-Version to 3.8.3 (no changes required).
  * Allow uploads done by Debian Maintainers.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 12 Sep 2009 11:03:29 +0200

gxmms2 (0.7.0+git20090608-1) unstable; urgency=high

  * New upstream snapshot.
    + Compatible to xmms2 0.6DrMattDestruction (Closes: #529751, #529283,
      #533980, LP: #394938).
  * debian/control:
    + split Build-Depends line
    + added myself to uploaders
  * Added debian/gxmms2.desktop and add xmms2-icon to Depends
    (Closes: #411116).
  * Bump Standard-Version to 3.8.2, no changes needed.
  * Switch to cdbs and debhelper 7.
  * Use Topgit and quilt to manage patches.
  * gxmms2src/gxmms2.c: Do not assume that the volume control has a left
    channel (fixes muting of playback on launch).
  * Add debian/watch file.
  * Update debian/copyright to use the format described in DEP 5.
  * Extend gxmms2 package description.
  * Wrote manual page for gxmms2.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 05 Aug 2009 15:13:05 +0200

gxmms2 (0.7.0-2) unstable; urgency=low

  * Be compatible with xmms2 DrLecter.
    + Cherry-pick 791f33: Updated to be compatible with the latest XMMS2 API
      change.
    + Also fixes some compiletime warnings.
    + Build-Depend on DrL.
  * Bump Standards-Version to 3.8.0 (no changes).

 -- Florian Ragwitz <rafl@debian.org>  Thu, 10 Jul 2008 15:44:24 +0200

gxmms2 (0.7.0-1) unstable; urgency=low

  [ Anders Waldenborg ]
  * New upstream release.
  * Add Vcs-* fields.
  * Add myself to uploaders.

  [ Florian Ragwitz ]
  * Don't ignore errors on make clean.
  * Remove dependency to libxmmsclient-dev as libxmmsclient-glib-dev already
    pulls that in.
  * Update Standards-Version to 3.7.3 (no changes).
  * Add the Homepage field.

 -- Florian Ragwitz <rafl@debian.org>  Wed, 27 Feb 2008 09:50:54 +0100

gxmms2 (0.6.4-1) unstable; urgency=low

  * New upstream release.

 -- Florian Ragwitz <rafl@debian.org>  Wed,  4 Oct 2006 21:35:23 +0200

gxmms2 (0.6.3-1) unstable; urgency=low

  * Initial release.

 -- Florian Ragwitz <rafl@debian.org>  Wed, 23 Aug 2006 22:35:22 +0200

=== debian/control ===
Source: gxmms2
Section: sound
Priority: optional
Maintainer: Florian Ragwitz <rafl@debian.org>
Uploaders: Anders Waldenborg <anders@0x63.nu>,
           Benjamin Drung <bdrung@ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               gkrellm,
               libgtk2.0-dev,
               libxmmsclient-glib-dev (>= 0.7DrNo),
               pkg-config
Standards-Version: 3.8.4
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/git/pkg-xmms2/gxmms2
Vcs-Browser: http://git.debian.org/?p=pkg-xmms2/gxmms2.git
Homepage: http://wejp.k.vu/projects/xmms2/

Package: gxmms2
Architecture: any
Depends: xmms2-icon, ${shlibs:Depends}, ${misc:Depends}
Recommends: xmms2
Description: XMMS2 client for the GNOME desktop
 gxmms2 is a GTK2-based XMMS2 client, written in C. Its main window is small and
 simple. It includes a playlist editor with a medialib search and an artist
 browser and a file information dialog.

Package: gkrellxmms2
Recommends: xmms2
Architecture: any
Depends: gkrellm, ${shlibs:Depends}, ${misc:Depends}
Description: GKrellM plugin to control xmms2
 gkrellxmms2 is a plugin for GKrellM2, written in C, to control the XMMS2 audio
 player. It supports basic controls such as play, pause, skip etc. and it has
 an integrated playlist editor with a media library search and browser.

## gxmms2 0.7.1

=== Makefile ===
--- 
+++ 
@@ -11,26 +11,27 @@
 XMMS2_CFLAGS=$(shell pkg-config xmms2-client xmms2-client-glib --cflags)
 XMMS2_LIB=$(shell pkg-config xmms2-client xmms2-client-glib --libs)
 
-CFLAGS=-O2 -Wall -fPIC $(GTK_CFLAGS) $(XMMS2_CFLAGS) -I.
-LIBS=$(GTK_LIB) $(XMMS2_LIB)
+CFLAGS ?= -O2
+CFLAGS := -Wall -fPIC $(GTK_CFLAGS) $(XMMS2_CFLAGS) -I. $(CFLAGS)
+LIBS = $(GTK_LIB) $(XMMS2_LIB)
 
 KRELLLFLAGS=-shared
 
-CC=gcc
+CC ?= gcc
 
 OBJS=gxmms2src/gxmms2.o xmms2ctrl/xmms2ctrl.o gtrackinfo/trackinfo.o gtrackinfo/gtrackinfo.o gmedialib/gmlplaylist.o gmedialib/gmedialib.o gmedialib/gmlbrowser.o gmedialib/gmlsearch.o gmedialib/gmlplaylists.o gmedialib/gmladdfiles.o sdecode/sdecode.o gxmms2src/wejpscroller.o gxmms2src/statusdisplay.o gxmms2src/wejpvolume.o gxmms2src/wejpconfig.o gxmms2src/eggtrayicon.o
 
-KRELLOBJS=gkrellxmms2/gkrellxmms2.o xmms2ctrl/xmms2ctrl.o gtrackinfo/trackinfo.o gtrackinfo/gtrackinfo.o gmedialib/gmedialib.o gmedialib/gmlplaylist.o gmedialib/gmlbrowser.o gmedialib/gmlsearch.o gmedialib/gmlplaylists.o gmedialib/gmladdfiles.o sdecode/sdecode.o gkrellxmms2/buttons.o
+KRELLOBJS=gkrellxmms2/gkrellxmms2.o xmms2ctrl/xmms2ctrl.o gtrackinfo/trackinfo.o gtrackinfo/gtrackinfo.o gmedialib/gmedialib.o gmedialib/gmlplaylist.o gmedialib/gmlbrowser.o gmedialib/gmlsearch.o gmedialib/gmlplaylists.o gmedialib/gmladdfiles.o sdecode/sdecode.o gkrellxmms2/buttons.o gkrellxmms2/setupwidget.o
 
 PROJNAME=gxmms2-$(shell awk '/define VERSION_NUMBER/ { print $$3 }' gxmms2src/gxmms2.c )
 
 all: gxmms2 gkrellxmms2
 
 gxmms2: $(OBJS)
-	$(CC) $(OBJS) -o gxmms2 $(LIBS)
+	$(CC) $(LDFLAGS) $(OBJS) -o gxmms2 $(LIBS)
 
 gkrellxmms2: $(KRELLOBJS)
-	$(CC) $(KRELLOBJS) -o gkrellxmms2.so $(KRELLLFLAGS) $(LIBS)
+	$(CC) $(LDFLAGS) $(KRELLOBJS) -o gkrellxmms2.so $(KRELLLFLAGS) $(LIBS)
 
 dist:
 	-rm -rf $(PROJNAME)

=== debian/changelog ===
gxmms2 (0.7.1-3build2) jammy; urgency=medium

  * No-change rebuild against latest gdk-pixbuf

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Mar 2022 18:51:34 -0500

gxmms2 (0.7.1-3build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:27:36 +0000

gxmms2 (0.7.1-3) unstable; urgency=low

  * Update my email address.
  * Use canonical URLs for Vcs fields.
  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to debhelper 9 and enable hardening.
  * Update machine-readable copyright Format to 1.0.

 -- Benjamin Drung <bdrung@debian.org>  Thu, 21 Mar 2013 19:15:09 +0100

gxmms2 (0.7.1-2) unstable; urgency=low

  * Link against X11, because gxmms2src/eggtrayicon.c uses X11 functions.
    This fixes the FTBFS with binutils-gold. (Closes: #554764)

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 03 Dec 2010 17:52:02 +0100

gxmms2 (0.7.1-1) unstable; urgency=low

  * New upstream release.
  * Drop DrNo.patch and version-string.patch.
  * Bump Standard-Version to 3.9.1 (no changes required).
  * Update debian/copyright.
  * Fix pointer dereference to not sets the initial volume. (Closes: #546594)

 -- Benjamin Drung <bdrung@ubuntu.com>  Mon, 13 Sep 2010 02:32:18 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Do not link against unused libraries (make dpkg-shlibdeps happy).
LDFLAGS := -Wl,--as-needed

%:
	dh $@ --parallel

override_dh_auto_install:
	make install PREFIX=$(CURDIR)/debian/tmp/usr KRELLPREFIX=$(CURDIR)/debian/tmp/usr

=== debian/watch ===
version=3
http://wejp.k.vu/projects/xmms2/gxmms2 .*gxmms2-(.*)\.tar\.gz
